Name:           ax25-tools
Version:        0.0.8
Release:        2%{?dist}
Summary:        Tools used to configure an ax.25 enabled computer

Group:          Applications/Communications
License:        GPLv2+
URL:            http://ax25.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ax25/%{name}-%{version}.tar.gz
#Patch by Daniel Schepler to include soundmodem.h, which was obsoleted and removed from the 2.6 kernel 
Patch0:         %{name}-%{version}-soundmodem.h.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libax25-devel
BuildRequires:  ncurses-devel
BuildRequires:  libXt-devel, fltk-devel

%description
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer. They will configure interfaces and assign callsigns to ports as well
as Net/ROM and ROSE configuration.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc yamdrv/README.yamdrv user_call/README.user_call tcpip/ttylinkd.README dmascc/README.dmascc
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog 
* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-2
- Submit for review
* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-1
- Initial Build
